package com.uas.erp.schedular.b2b.domain;

import java.util.Date;

/**
 * Created by Pro1 on 2017/9/23.
 */
public class DeOrderDeleteLog extends KeyEntity{

    private Long id;

    /**
     * 代采企业uu号
     */
    private Long deputyuu;

    /**
     * 订单编号
     */
    private String code;

    /**
     * 当前企业uu
     */
    private Long enuu;

    /**
     * 操作人uu
     */
    private Long useruu;

    /**
     * 操作日期
     */
    private Date date;

    /**
     * 下载状态<br>
     * 202 待下载<br>
     * 203 已下载
     */
    private Integer status;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getDeputyuu() {
        return deputyuu;
    }

    public void setDeputyuu(Long deputyuu) {
        this.deputyuu = deputyuu;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Long getEnuu() {
        return enuu;
    }

    public void setEnuu(Long enuu) {
        this.enuu = enuu;
    }

    public Long getUseruu() {
        return useruu;
    }

    public void setUseruu(Long useruu) {
        this.useruu = useruu;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public Object getKey() {
        return id;
    }
}
