package com.uas.erp.schedular.b2b.domain;


import java.util.Date;

/**
 * 出入库单付款信息
 *
 * @author hejq
 * @date 2019-01-03 10:31
 */
public class ProdIoPay extends KeyEntity {

    /**
     * 单据编号
     */
    private String piCode;

    /**
     * 单据类型
     */
    private String piClass;

    /**
     * 明细行号
     */
    private Short piDetNo;

    /**
     * 付款金额
     */
    private Double amount;

    /**
     * 付款日期
     */
    private Date inDate;

    /**
     * 上传状态
     */
    private String status;

    /**
     * 明细id
     */
    private Long pdId;

    public String getPiCode() {
        return piCode;
    }

    public void setPiCode(String piCode) {
        this.piCode = piCode;
    }

    public String getPiClass() {
        return piClass;
    }

    public void setPiClass(String piClass) {
        this.piClass = piClass;
    }

    public Short getPiDetNo() {
        return piDetNo;
    }

    public void setPiDetNo(Short piDetNo) {
        this.piDetNo = piDetNo;
    }

    public Double getAmount() {
        return amount;
    }

    public void setAmount(Double amount) {
        this.amount = amount;
    }

    public Date getInDate() {
        return inDate;
    }

    public void setInDate(Date inDate) {
        this.inDate = inDate;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Long getPdId() {
        return pdId;
    }

    public void setPdId(Long pdId) {
        this.pdId = pdId;
    }

    /**
     * 主键值
     *
     * @return
     */
    @Override
    public Object getKey() {
        return this.pdId;
    }
}
