package com.uas.erp.schedular.b2b.domain;

import java.util.Date;
import java.util.List;

/**
 * ERP系统的采购订单明细
 * 
 * @author yingp
 * 
 */
public class PurchaseDetail {

	private String pd_code;
	private String pd_prodcode;
	private Double pd_qty;
	private Double pd_price;
	private Date pd_delivery;
	private String pd_remark;
	private Float pd_rate;
	private short pd_detno;
	private String pd_factory;
	private String pd_vendspec;
	private Integer pd_beipin;
	private String pd_prattach;
	//终端供应商名称
	private String pd_purcvendname;
	//终端供应商uu
	private Long pd_purcvenduu;
	//客户采购订单号
	private String pd_custpurchasecode;
	//客户采购订单序号
	private Short pd_custpurchasedetno;
	//收货客户
	private String pd_acceptcustname;
	//收货地址
	private String pd_acceptcustaddress;
	//收货客户uu
	private Long pd_acceptcustuu;
	//是否能发货
	private String pd_hasissued;
	//终端价格
	private Float pd_purcprice;
	//终端税率
	private Float pd_purctaxrate;
	//终端币别
	private String pd_purccurrency;
	//税收分类编码
    private String pd_taxcode;
    //开票名称
    private String pd_billname;
    //开票型号
    private String pd_orispeccode;
	private List<Attach> attaches;

	//替代料号
	private String pd_repprodcode;
	//替代料名称
	private String pd_repdetail;
	//替代料规格
	private String pd_repspec;

	//旧料编号
	private String pr_oldcode;
	//旧料名称
	private String pr_oldname;
	//旧料规格
	private String pr_oldspec;

	//物料承认状态
	private String pd_prmaterial;

	// 顶层物料
	private String pd_topmothercode;

	public String getPd_topmothercode() {
		return pd_topmothercode;
	}

	public void setPd_topmothercode(String pd_topmothercode) {
		this.pd_topmothercode = pd_topmothercode;
	}

	public String getPd_prmaterial() {
		return pd_prmaterial;
	}

	public void setPd_prmaterial(String pd_prmaterial) {
		this.pd_prmaterial = pd_prmaterial;
	}

	public String getPr_oldcode() {
		return pr_oldcode;
	}

	public void setPr_oldcode(String pr_oldcode) {
		this.pr_oldcode = pr_oldcode;
	}

	public String getPr_oldname() {
		return pr_oldname;
	}

	public void setPr_oldname(String pr_oldname) {
		this.pr_oldname = pr_oldname;
	}

	public String getPr_oldspec() {
		return pr_oldspec;
	}

	public void setPr_oldspec(String pr_oldspec) {
		this.pr_oldspec = pr_oldspec;
	}

	public String getPd_repprodcode() {
		return pd_repprodcode;
	}

	public void setPd_repprodcode(String pd_repprodcode) {
		this.pd_repprodcode = pd_repprodcode;
	}

	public String getPd_repdetail() {
		return pd_repdetail;
	}

	public void setPd_repdetail(String pd_repdetail) {
		this.pd_repdetail = pd_repdetail;
	}

	public String getPd_repspec() {
		return pd_repspec;
	}

	public void setPd_repspec(String pd_repspec) {
		this.pd_repspec = pd_repspec;
	}

	public String getPd_taxcode() {
		return pd_taxcode;
	}

	public void setPd_taxcode(String pd_taxcode) {
		this.pd_taxcode = pd_taxcode;
	}

	public String getPd_billname() {
		return pd_billname;
	}

	public void setPd_billname(String pd_billname) {
		this.pd_billname = pd_billname;
	}

	public String getPd_orispeccode() {
		return pd_orispeccode;
	}

	public void setPd_orispeccode(String pd_orispeccode) {
		this.pd_orispeccode = pd_orispeccode;
	}

	public Float getPd_purcprice() {
		return pd_purcprice;
	}

	public void setPd_purcprice(Float pd_purcprice) {
		this.pd_purcprice = pd_purcprice;
	}

	public Float getPd_purctaxrate() {
		return pd_purctaxrate;
	}

	public void setPd_purctaxrate(Float pd_purctaxrate) {
		this.pd_purctaxrate = pd_purctaxrate;
	}

	public String getPd_purccurrency() {
		return pd_purccurrency;
	}

	public void setPd_purccurrency(String pd_purccurrency) {
		this.pd_purccurrency = pd_purccurrency;
	}

	public String getPd_vendspec() {
		return pd_vendspec;
	}

	public void setPd_vendspec(String pd_vendspec) {
		this.pd_vendspec = pd_vendspec;
	}

	public Long getPd_acceptcustuu() {
		return pd_acceptcustuu;
	}

	public void setPd_acceptcustuu(Long pd_acceptcustuu) {
		this.pd_acceptcustuu = pd_acceptcustuu;
	}

	public String getPd_hasissued() {
		return pd_hasissued;
	}

	public void setPd_hasissued(String pd_hasissued) {
		this.pd_hasissued = pd_hasissued;
	}

	public String getPd_factory() {
		return pd_factory;
	}

	public void setPd_factory(String pd_factory) {
		this.pd_factory = pd_factory;
	}

	public String getPd_code() {
		return pd_code;
	}

	public void setPd_code(String pd_code) {
		this.pd_code = pd_code;
	}

	public String getPd_prodcode() {
		return pd_prodcode;
	}

	public void setPd_prodcode(String pd_prodcode) {
		this.pd_prodcode = pd_prodcode;
	}

	public Double getPd_qty() {
		return pd_qty;
	}

	public void setPd_qty(Double pd_qty) {
		this.pd_qty = pd_qty;
	}

	public Double getPd_price() {
		return pd_price;
	}

	public void setPd_price(Double pd_price) {
		this.pd_price = pd_price;
	}

	public Date getPd_delivery() {
		return pd_delivery;
	}

	public void setPd_delivery(Date pd_delivery) {
		this.pd_delivery = pd_delivery;
	}

	public String getPd_remark() {
		return pd_remark;
	}

	public void setPd_remark(String pd_remark) {
		this.pd_remark = pd_remark;
	}

	public Float getPd_rate() {
		return pd_rate;
	}

	public void setPd_rate(Float pd_rate) {
		this.pd_rate = pd_rate;
	}

	public short getPd_detno() {
		return pd_detno;
	}

	public void setPd_detno(short pd_detno) {
		this.pd_detno = pd_detno;
	}

	public Integer getPd_beipin() {
		return pd_beipin;
	}

	public void setPd_beipin(Integer pd_beipin) {
		this.pd_beipin = pd_beipin;
	}

	public String getPd_prattach() {
		return pd_prattach;
	}

	public void setPd_prattach(String pd_prattach) {
		this.pd_prattach = pd_prattach;
	}

	public List<Attach> getAttaches() {
		return attaches;
	}

	public void setAttaches(List<Attach> attaches) {
		this.attaches = attaches;
	}

	public String getPd_purcvendname() {
		return pd_purcvendname;
	}

	public void setPd_purcvendname(String pd_purcvendname) {
		this.pd_purcvendname = pd_purcvendname;
	}

	public Long getPd_purcvenduu() {
		return pd_purcvenduu;
	}

	public void setPd_purcvenduu(Long pd_purcvenduu) {
		this.pd_purcvenduu = pd_purcvenduu;
	}

	public String getPd_custpurchasecode() {
		return pd_custpurchasecode;
	}

	public void setPd_custpurchasecode(String pd_custpurchasecode) {
		this.pd_custpurchasecode = pd_custpurchasecode;
	}

	public Short getPd_custpurchasedetno() {
		return pd_custpurchasedetno;
	}

	public void setPd_custpurchasedetno(Short pd_custpurchasedetno) {
		this.pd_custpurchasedetno = pd_custpurchasedetno;
	}

	public String getPd_acceptcustname() {
		return pd_acceptcustname;
	}

	public void setPd_acceptcustname(String pd_acceptcustname) {
		this.pd_acceptcustname = pd_acceptcustname;
	}

	public String getPd_acceptcustaddress() {
		return pd_acceptcustaddress;
	}

	public void setPd_acceptcustaddress(String pd_acceptcustaddress) {
		this.pd_acceptcustaddress = pd_acceptcustaddress;
	}

}
