package com.uas.erp.schedular.b2b.domain;

import com.fasterxml.jackson.annotation.JsonIgnore;

/**
 * ERP系统的采购订单明细（针对结案、反结案）
 * 
 * @author yingp
 * 
 */
public class PurchaseDetailEnd extends KeyEntity{

	private String pd_code;
	private short pd_detno;
	private short pd_ended;
	private Integer pd_id;

	public String getPd_code() {
		return pd_code;
	}

	public void setPd_code(String pd_code) {
		this.pd_code = pd_code;
	}

	public short getPd_detno() {
		return pd_detno;
	}

	public void setPd_detno(short pd_detno) {
		this.pd_detno = pd_detno;
	}

	public short getPd_ended() {
		return pd_ended;
	}

	public void setPd_ended(short pd_ended) {
		this.pd_ended = pd_ended;
	}

	@JsonIgnore
	public Integer getPd_id() {
		return pd_id;
	}

	public void setPd_id(Integer pd_id) {
		this.pd_id = pd_id;
	}

	@Override
	public Object getKey() {
		return pd_id;
	}
}
