package com.uas.erp.schedular.database.h2;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Component;

/**
 * Created by Pro1 on 2017/8/24.
 */
@Component
public class Initializer implements CommandLineRunner {

    @Autowired
    private JdbcTemplate jdbcTemplate;

    @Override
    public void run(String... strings) throws Exception {
        jdbcTemplate.execute("CREATE ALIAS IF NOT EXISTS to_number FOR \"com.uas.erp.schedular.database.h2.H2Utils.toNumber\"");
    }
}
