package com.uas.erp.schedular.diymall.domain;

import com.uas.erp.schedular.util.NumberUtil;
import com.uas.erp.schedular.util.StringUtil;

/**
 * 定制商城订单从表数据
 *
 * @author huangct
 * @time 创建时间：2017年12月25日
 */
public class DiymallOrderItem {

    private Integer id;

    private Integer ordersId;

    //用户定制id
    private Integer userDiyId;

    //定制标题
    private String diyTitle;

    //定制简介
    private String diyRemark;

    //定制图片
    private String diyImgUrl;

    //定制内容
    private String diyContent;

    //瓶子id
    private Integer bottleId;

    //瓶子名称
    private String bottleTitle;

    //瓶子重量
    private Double bottleWeight;

    //水源id
    private Integer bottleTypeId;

    //水源名称
    private String bottleTypeTitle;

    //单价
    private Double itemPrice;

    //数量（箱）
    private Integer itemNumber;

    //小计
    private Double subtotal;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getOrdersId() {
        return ordersId;
    }

    public void setOrdersId(Integer ordersId) {
        this.ordersId = ordersId;
    }

    public Integer getUserDiyId() {
        return userDiyId;
    }

    public void setUserDiyId(Integer userDiyId) {
        this.userDiyId = userDiyId;
    }

    public String getDiyTitle() {
        return diyTitle;
    }

    public void setDiyTitle(String diyTitle) {
        this.diyTitle = diyTitle;
    }

    public String getDiyRemark() {
        return diyRemark;
    }

    public void setDiyRemark(String diyRemark) {
        this.diyRemark = diyRemark;
    }

    public String getDiyImgUrl() {
        return diyImgUrl;
    }

    public void setDiyImgUrl(String diyImgUrl) {
        this.diyImgUrl = diyImgUrl;
    }

    public String getDiyContent() {
        return diyContent;
    }

    public void setDiyContent(String diyContent) {
        this.diyContent = diyContent;
    }

    public Integer getBottleId() {
        return bottleId;
    }

    public void setBottleId(Integer bottleId) {
        this.bottleId = bottleId;
    }

    public String getBottleTitle() {
        return bottleTitle;
    }

    public void setBottleTitle(String bottleTitle) {
        this.bottleTitle = bottleTitle;
    }

    public Double getBottleWeight() {
        return bottleWeight;
    }

    public void setBottleWeight(Double bottleWeight) {
        this.bottleWeight = bottleWeight;
    }

    public Integer getBottleTypeId() {
        return bottleTypeId;
    }

    public void setBottleTypeId(Integer bottleTypeId) {
        this.bottleTypeId = bottleTypeId;
    }

    public String getBottleTypeTitle() {
        return bottleTypeTitle;
    }

    public void setBottleTypeTitle(String bottleTypeTitle) {
        this.bottleTypeTitle = bottleTypeTitle;
    }

    public Double getItemPrice() {
        return itemPrice;
    }

    public void setItemPrice(Double itemPrice) {
        this.itemPrice = itemPrice;
    }

    public Integer getItemNumber() {
        return itemNumber;
    }

    public void setItemNumber(Integer itemNumber) {
        this.itemNumber = itemNumber;
    }

    public Double getSubtotal() {
        return subtotal;
    }

    public void setSubtotal(Double subtotal) {
        this.subtotal = subtotal;
    }

    public String toSqlString(int primaryKey, int saleId, int prodId, String code, int dentNo, String productCode, String productName, String productSpec) {
        return "INSERT INTO SALEDETAIL (SD_ID,SD_SAID,SD_PRODID,SD_CODE,SD_DETNO,SD_PRODCODE,SD_PRODNAME,SD_PRODSPEC,SD_DESCRIPTION,SD_REMARK,SD_QTY,SD_PRICE,SD_TOTAL) VALUES ("
                + primaryKey
                + ","
                + saleId
                + ","
                + prodId
                + ",'"
                + code
                + "',"
                + dentNo
                + ",'"

                + productCode
                + "','"
                + productName
                + "','"
                + productSpec
                + "','"

                + StringUtil.nvl(diyTitle, "")
                + "','"
                + StringUtil.nvl(diyRemark, "")
                + "',"
                + NumberUtil.nvl(itemNumber, 0)
                + ", "
                + NumberUtil.nvl(itemPrice, 0)
                + ", "
                + NumberUtil.nvl(subtotal, 0)
                + ")";
    }
}
