package com.uas.erp.schedular.diymall.domain;


/**
 * @author zhaoy
 * @create 2019-05-09 14:37
 */
public class LoggingOrder {

    private Integer loId;//编号
    private String orderCode;//客户订单号
    private String status;// 状态	‘成功’、‘失败’
    private String salesTime;// 日期	执行生成销售订单的日期
    private String orderNumber;// 销售订单号	已经生成销售订单的订单号，如果失败则为空
    private String remark;//备注


    public LoggingOrder() {
    }

    public LoggingOrder(Integer loId, String orderCode, String status, String salesTime, String orderNumber, String remark) {
        this.loId = loId;
        this.orderCode = orderCode;
        this.status = status;
        this.salesTime = salesTime;
        this.orderNumber = orderNumber;
        this.remark = remark;
    }

    public Integer getLoId() {
        return loId;
    }

    public void setLoId(Integer loId) {
        this.loId = loId;
    }

    public String getOrderCode() {
        return orderCode;
    }

    public void setOrderCode(String orderCode) {
        this.orderCode = orderCode;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getSalesTime() {
        return salesTime;
    }

    public void setSalesTime(String salesTime) {
        this.salesTime = salesTime;
    }

    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
