package com.uas.erp.schedular.diymall.domain;

/**
 * 订单发票
 * @author zhaoy
 * @create 2019-05-08 16:58
 */
public class OrderInvoice {

    String code;//编号
    String order_code;//订单编号
    String invoiceCode;//发票编号
    Integer type;//142000 : 增值税普票 ， 142010 ： 增值税专票
    Integer buyerType;//142020 ： 个人身份开票 ， 142030 ： 企业身份开票
    String name;//名称
    String identityNum;//纳税人识别号
    String banker;//开户银行
    String account;//开户银行账号
    String tel;//注册固定电话
    String addr;//企业注册地址

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getOrder_code() {
        return order_code;
    }

    public void setOrder_code(String order_code) {
        this.order_code = order_code;
    }

    public String getInvoiceCode() {
        return invoiceCode;
    }

    public void setInvoiceCode(String invoiceCode) {
        this.invoiceCode = invoiceCode;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getBuyerType() {
        return buyerType;
    }

    public void setBuyerType(Integer buyerType) {
        this.buyerType = buyerType;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIdentityNum() {
        return identityNum;
    }

    public void setIdentityNum(String identityNum) {
        this.identityNum = identityNum;
    }

    public String getBanker() {
        return banker;
    }

    public void setBanker(String banker) {
        this.banker = banker;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getTel() {
        return tel;
    }

    public void setTel(String tel) {
        this.tel = tel;
    }

    public String getAddr() {
        return addr;
    }

    public void setAddr(String addr) {
        this.addr = addr;
    }
}
