package com.uas.erp.schedular.diymall.domain;

/**
 * 订单产品快照
 * @author zhaoy
 * @create 2019-05-08 16:44
 */
public class OrderProduct {

    String code;//编号
    String orderCode;//订单编号
    String materialCod;//产品code
    double price;//小计金额
    Integer amount;//购买数量
    String remark;//备注
    double unitPrice;//单价

    // 产品信息
    String model; // 型号
    String brand; // 品牌
    String spec; // 规格
    Integer enuu; // 企业uu
    Integer uu; // 录入人uu
    String createDate; // 创建时间
    Integer status; // 状态（131010.未上架，131020.已上架）
    String packing; // 包装方式
    Integer mpq; // 最小包装数量
    Integer moq; // 最小起订量
    Integer reserve; // 库存数量
    Integer frozenQty; // 冻结库存数量
    boolean detachable; // 是否可拆卖
    String ladderOffer; // 阶梯价格
    String unit; // 单位
    String currency; // 币别
    Integer minDelivery; // 最小交期
    Integer maxDelivery; // 最大交期
    Integer bePackage;// 0:不展示，1：已发货，2：未发货

    String materialCode; // uas物料编号

    String invoiceModel; // 开票型号
    String invoiceName; //开票名称

    public String getInvoiceName() {
        return invoiceName;
    }

    public void setInvoiceName(String invoiceName) {
        this.invoiceName = invoiceName;
    }

    public String getInvoiceModel() {
        return invoiceModel;
    }

    public void setInvoiceModel(String invoiceModel) {
        this.invoiceModel = invoiceModel;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getOrderCode() {
        return orderCode;
    }

    public void setOrderCode(String orderCode) {
        this.orderCode = orderCode;
    }

    public String getMaterialCod() {
        return materialCod;
    }

    public void setMaterialCod(String materialCod) {
        this.materialCod = materialCod;
    }

    public double getPrice() {
        return price;
    }

    public void setPrice(double price) {
        this.price = price;
    }

    public Integer getAmount() {
        return amount;
    }

    public void setAmount(Integer amount) {
        this.amount = amount;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public double getUnitPrice() {
        return unitPrice;
    }

    public void setUnitPrice(double unitPrice) {
        this.unitPrice = unitPrice;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public String getSpec() {
        return spec;
    }

    public void setSpec(String spec) {
        this.spec = spec;
    }

    public Integer getEnuu() {
        return enuu;
    }

    public void setEnuu(Integer enuu) {
        this.enuu = enuu;
    }

    public Integer getUu() {
        return uu;
    }

    public void setUu(Integer uu) {
        this.uu = uu;
    }

    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getPacking() {
        return packing;
    }

    public void setPacking(String packing) {
        this.packing = packing;
    }

    public Integer getMpq() {
        return mpq;
    }

    public void setMpq(Integer mpq) {
        this.mpq = mpq;
    }

    public Integer getMoq() {
        return moq;
    }

    public void setMoq(Integer moq) {
        this.moq = moq;
    }

    public Integer getReserve() {
        return reserve;
    }

    public void setReserve(Integer reserve) {
        this.reserve = reserve;
    }

    public Integer getFrozenQty() {
        return frozenQty;
    }

    public void setFrozenQty(Integer frozenQty) {
        this.frozenQty = frozenQty;
    }

    public boolean isDetachable() {
        return detachable;
    }

    public void setDetachable(boolean detachable) {
        this.detachable = detachable;
    }

    public String getLadderOffer() {
        return ladderOffer;
    }

    public void setLadderOffer(String ladderOffer) {
        this.ladderOffer = ladderOffer;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public Integer getMinDelivery() {
        return minDelivery;
    }

    public void setMinDelivery(Integer minDelivery) {
        this.minDelivery = minDelivery;
    }

    public Integer getMaxDelivery() {
        return maxDelivery;
    }

    public void setMaxDelivery(Integer maxDelivery) {
        this.maxDelivery = maxDelivery;
    }

    public Integer getBePackage() {
        return bePackage;
    }

    public void setBePackage(Integer bePackage) {
        this.bePackage = bePackage;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }
}
