package com.uas.erp.schedular.diymall.domain;

import java.util.List;

/**
 * 对账单信息
 * @author zhaoy
 * @create 2019-05-08 17:24
 */
public class Reconciliation {

    String code;//编号
    String orderCode;//订单编号
    Integer orderType; //141100 ：产品订单， 141110： 报价订单
    double sumMoney; //总金额
    String currency; //币别
    String remark; //备注
    String receiveTime; //收货时间

    Integer buyerUu;// 对账买方uu
    Integer buyerEnuu;// 对账买方enuu
    String buyerName; // 对账买方姓名
    String buyerTel; // 对账买方联系方式
    String buyerEnName;//对账买家企业名称
    Integer sellerUu; //对账卖家uu
    Integer sellerEnuu; //对账卖家enuu
    String sellerName; // 对账卖家姓名
    String sellerTel; // 对账卖家联系方式
    String sellerEnName; //对账卖家企业名称
    List<ReconciliationDetail> reconciliationDetail;
    Integer status; //对账状态：141050 待对账，141010已对账
    Order order; // 订单信息

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getOrderCode() {
        return orderCode;
    }

    public void setOrderCode(String orderCode) {
        this.orderCode = orderCode;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public double getSumMoney() {
        return sumMoney;
    }

    public void setSumMoney(double sumMoney) {
        this.sumMoney = sumMoney;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getReceiveTime() {
        return receiveTime;
    }

    public void setReceiveTime(String receiveTime) {
        this.receiveTime = receiveTime;
    }

    public Integer getBuyerUu() {
        return buyerUu;
    }

    public void setBuyerUu(Integer buyerUu) {
        this.buyerUu = buyerUu;
    }

    public Integer getBuyerEnuu() {
        return buyerEnuu;
    }

    public void setBuyerEnuu(Integer buyerEnuu) {
        this.buyerEnuu = buyerEnuu;
    }

    public String getBuyerName() {
        return buyerName;
    }

    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    public String getBuyerTel() {
        return buyerTel;
    }

    public void setBuyerTel(String buyerTel) {
        this.buyerTel = buyerTel;
    }

    public String getBuyerEnName() {
        return buyerEnName;
    }

    public void setBuyerEnName(String buyerEnName) {
        this.buyerEnName = buyerEnName;
    }

    public Integer getSellerUu() {
        return sellerUu;
    }

    public void setSellerUu(Integer sellerUu) {
        this.sellerUu = sellerUu;
    }

    public Integer getSellerEnuu() {
        return sellerEnuu;
    }

    public void setSellerEnuu(Integer sellerEnuu) {
        this.sellerEnuu = sellerEnuu;
    }

    public String getSellerName() {
        return sellerName;
    }

    public void setSellerName(String sellerName) {
        this.sellerName = sellerName;
    }

    public String getSellerTel() {
        return sellerTel;
    }

    public void setSellerTel(String sellerTel) {
        this.sellerTel = sellerTel;
    }

    public String getSellerEnName() {
        return sellerEnName;
    }

    public void setSellerEnName(String sellerEnName) {
        this.sellerEnName = sellerEnName;
    }

    public List<ReconciliationDetail> getReconciliationDetail() {
        return reconciliationDetail;
    }

    public void setReconciliationDetail(List<ReconciliationDetail> reconciliationDetail) {
        this.reconciliationDetail = reconciliationDetail;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Order getOrder() {
        return order;
    }

    public void setOrder(Order order) {
        this.order = order;
    }
}
