package com.uas.erp.schedular.entity;

import java.io.Serializable;

/**
 * Created by Pro1 on 2017/7/26.
 */
public class MasterTaskConfigId implements Serializable{

    private String beanName;
    private String methodName;
    private String masterName;

    public String getBeanName() {
        return beanName;
    }

    public void setBeanName(String beanName) {
        this.beanName = beanName;
    }

    public String getMethodName() {
        return methodName;
    }

    public void setMethodName(String methodName) {
        this.methodName = methodName;
    }

    public String getMasterName() {
        return masterName;
    }

    public void setMasterName(String masterName) {
        this.masterName = masterName;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        MasterTaskConfigId that = (MasterTaskConfigId) o;

        if (beanName != null ? !beanName.equals(that.beanName) : that.beanName != null) return false;
        if (methodName != null ? !methodName.equals(that.methodName) : that.methodName != null) return false;
        return masterName != null ? masterName.equals(that.masterName) : that.masterName == null;

    }

    @Override
    public int hashCode() {
        int result = beanName != null ? beanName.hashCode() : 0;
        result = 31 * result + (methodName != null ? methodName.hashCode() : 0);
        result = 31 * result + (masterName != null ? masterName.hashCode() : 0);
        return result;
    }

    public MasterTaskConfigId() {
    }

    public MasterTaskConfigId(String beanName, String methodName, String masterName) {
        this.beanName = beanName;
        this.methodName = methodName;
        this.masterName = masterName;
    }
}
