package com.uas.erp.schedular.entity;

import com.uas.erp.schedular.task.logging.LoggingStat;

/**
 * Created by Pro1 on 2017/8/25.
 */
public class MasterTaskStat {

    private String master;
    private String title;
    private int size;
    private int enabledSize;
    private LoggingStat execution;

    /**
     * 未启用数
     * @return
     */
    public int getDisabledSize() {
        return size - enabledSize;
    }

    /**
     * 账套名
     * @return
     */
    public String getMaster() {
        return master;
    }

    public void setMaster(String master) {
        this.master = master;
    }

    /**
     * 账套描述
     * @return
     */
    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    /**
     * 任务总数
     * @return
     */
    public int getSize() {
        return size;
    }

    public void setSize(int size) {
        this.size = size;
    }

    /**
     * 已启用任务总数
     * @return
     */
    public int getEnabledSize() {
        return enabledSize;
    }

    public void setEnabledSize(int enabledSize) {
        this.enabledSize = enabledSize;
    }

    /**
     * 执行情况统计
     * @return
     */
    public LoggingStat getExecution() {
        return execution;
    }

    public void setExecution(LoggingStat execution) {
        this.execution = execution;
    }
}
