package com.uas.erp.schedular.finance.domain;

import java.io.Serializable;

/**
 * created by shicr on 2017/12/26
 **/
public class ApplyInfo implements Serializable{

    private static final long serialVersionUID = 1L;
    /**
     * ID
     */
    private Long id;

    /**
     * 企业uu
     * @return
     */
    private Long enuu;

    /**
     * 联系人
     */
    private String fa_contact;

    /**
     * 联系方式1
     */
    private String fa_telphone;

    /**
     * 联系方式2
     */
    private String fa_phone;

    /**
     * 申请金额
     */
    private Long fa_appamount;

    /**
     * 申请人
     */
    private String fa_applyman;

    /**
     * 申请日期
     */
    private String fa_applydate;

    /**
     * 申请得分
     */
    private Double fa_score;

    /**
     * 融资申请单号
     */
    private String fa_busincode;

    /**
     * 保理公司名称
     */
    private String fa_facorpname;

    /**
     * 保理公司
     */
    private String fa_facorpcode;

    /**
     * 客户信息表
     */
    private CustInfo customerInfo;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getEnuu() {
        return enuu;
    }

    public void setEnuu(Long enuu) {
        this.enuu = enuu;
    }

    public String getFa_contact() {
        return fa_contact;
    }

    public void setFa_contact(String fa_contact) {
        this.fa_contact = fa_contact;
    }

    public String getFa_telphone() {
        return fa_telphone;
    }

    public void setFa_telphone(String fa_telphone) {
        this.fa_telphone = fa_telphone;
    }

    public String getFa_phone() {
        return fa_phone;
    }

    public void setFa_phone(String fa_phone) {
        this.fa_phone = fa_phone;
    }

    public Long getFa_appamount() {
        return fa_appamount;
    }

    public void setFa_appamount(Long fa_appamount) {
        this.fa_appamount = fa_appamount;
    }

    public String getFa_applyman() {
        return fa_applyman;
    }

    public void setFa_applyman(String fa_applyman) {
        this.fa_applyman = fa_applyman;
    }

    public String getFa_applydate() {
        return fa_applydate;
    }

    public void setFa_applydate(String fa_applydate) {
        this.fa_applydate = fa_applydate;
    }

    public Double getFa_score() {
        return fa_score;
    }

    public void setFa_score(Double fa_score) {
        this.fa_score = fa_score;
    }

    public String getFa_busincode() {
        return fa_busincode;
    }

    public void setFa_busincode(String fa_busincode) {
        this.fa_busincode = fa_busincode;
    }

    public String getFa_facorpname() {
        return fa_facorpname;
    }

    public void setFa_facorpname(String fa_facorpname) {
        this.fa_facorpname = fa_facorpname;
    }

    public String getFa_facorpcode() {
        return fa_facorpcode;
    }

    public void setFa_facorpcode(String fa_facorpcode) {
        this.fa_facorpcode = fa_facorpcode;
    }

    public ApplyInfo(Apply apply) {
        if (apply != null) {
            this.id = apply.getId();
            this.enuu = apply.getEnuu();
            this.fa_contact = apply.getFa_contact();
            this.fa_telphone = apply.getFa_telphone();
            this.fa_phone = apply.getFa_phone();
            this.fa_appamount = apply.getFa_appamount();
            this.fa_applyman = apply.getFa_applyman();
            this.fa_applydate = apply.getFa_applydate();
            this.fa_score = apply.getFa_score();
            this.fa_busincode = apply.getFa_busincode();
            this.fa_facorpname = apply.getFa_facorpname();
            this.fa_facorpcode = apply.getFa_facorpcode();
        }
    }

    public ApplyInfo () {

    }
}
