package com.uas.erp.schedular.finance.domain;


import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * created by shicr on 2018/1/25
 * 基础发票信息
 **/
public class Receipt {

    private Long id;

    /**
     * 关联出账表的外键
     */
    private Long aa_id;

    /**
     * 发票号码
     */
    private String aai_invoiceno;

    /**
     * 销售方纳税人识别号
     */
    private String aai_salesno;

    /**
     * 开票日期
     */
    private String aai_billdate;

    /**
     * 开票金额(元)
     */
    private Double aai_amount;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getAai_invoiceno() {
        return aai_invoiceno;
    }

    public void setAai_invoiceno(String aai_invoiceno) {
        this.aai_invoiceno = aai_invoiceno;
    }

    public String getAai_salesno() {
        return aai_salesno;
    }

    public void setAai_salesno(String aai_salesno) {
        this.aai_salesno = aai_salesno;
    }

    public String getAai_billdate() {
        return aai_billdate;
    }

    public void setAai_billdate(String aai_billdate) {
        this.aai_billdate = aai_billdate;
    }

    public Double getAai_amount() {
        return aai_amount;
    }

    public void setAai_amount(Double aai_amount) {
        this.aai_amount = aai_amount;
    }

    public Long getAa_id() {
        return aa_id;
    }

    public void setAa_id(Long aa_id) {
        this.aa_id = aa_id;
    }

}
