package com.uas.erp.schedular.mall.task;

import com.uas.erp.schedular.mall.domain.TaskItem;
import com.uas.erp.schedular.task.support.TaskMapping;
import org.springframework.stereotype.Component;
import org.springframework.util.CollectionUtils;

import java.util.List;

/**
 * Created by Pro1 on 2017/9/6.
 */
@Component
@TaskMapping(title = "商品")
public class GoodsTask extends AbstractTask{

//    @TaskMapping(title = "商品上架、下架、变更", fixedDelay = 300000)
    public void changeGoods() {
        List<TaskItem> items = null;
        int page = 1;
        while (!CollectionUtils.isEmpty(items = getGoodsTaskItems(page++))) {
            for (TaskItem item : items) {
                if ("GoodsUp".equals(item.getTa_docaller())) {

                }
            }
        }
    }

    private List<TaskItem> getGoodsTaskItems(int page) {
        int size = 20;
        return jdbcTemplate.queryForBeanList("select * from (select t.*,rownum r from (select * from from b2c$task where NVL(ta_finishstatus,'0')='0' and nvl(ta_errnum,0)<5 and ta_docaller in('GoodsUp','GoodsChange','GoodsOff') order by ta_actiontime) where rownum<=?) where r>=?",
                TaskItem.class, (page - 1) * size + 1, page * size);
    }

}
