package com.uas.erp.schedular.support;

import org.apache.commons.io.FileUtils;

import java.io.File;
import java.io.IOException;

/**
 * @Author: h2数据库备份
 * @Date: Created in 15:44 2019/02/21.
 */
public class BackupDBFileUtils {

    public static void createFile() {
        copyFile("/home/uas/data/uas_schedular.mv.db", "/home/uas/backupdb/uas_schedular.mv.db");
        copyFile("/home/uas/data/uas_schedular.trace.db", "/home/uas/backupdb/uas_schedular.trace.db");
    }

    public static void reserveFile() {
        copyFile("/home/uas/backupdb/uas_schedular.mv.db", "/home/uas/data/uas_schedular.mv.db");
        copyFile("/home/uas/backupdb/uas_schedular.trace.db", "/home/uas/data/uas_schedular.trace.db");
    }

    private static void copyFile(String sourcePath, String targetPath) {
        File source = new File(sourcePath);
        File target = new File(targetPath);
        if (source.exists()) {
            try {
                FileUtils.copyFile(source, target);
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
    }

    public static void init() {
        File file = new File("/home/uas/backupdb/uas_schedular.mv.db");
        if (!file.exists()) {
            createFile();
        }
    }
}
