package com.uas.erp.schedular.task.logging;

import java.io.Serializable;

/**
 * Created by Pro1 on 2017/7/31.
 */
public class LoggingEventPropertyId implements Serializable {

    private long eventId;

    private String mappedKey;

    public long getEventId() {
        return eventId;
    }

    public void setEventId(long eventId) {
        this.eventId = eventId;
    }

    public String getMappedKey() {
        return mappedKey;
    }

    public void setMappedKey(String mappedKey) {
        this.mappedKey = mappedKey;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        LoggingEventPropertyId that = (LoggingEventPropertyId) o;

        if (eventId != that.eventId) return false;
        return mappedKey != null ? mappedKey.equals(that.mappedKey) : that.mappedKey == null;

    }

    @Override
    public int hashCode() {
        int result = (int) (eventId ^ (eventId >>> 32));
        result = 31 * result + (mappedKey != null ? mappedKey.hashCode() : 0);
        return result;
    }
}
