package com.uas.erp.schedular.task.logging;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * Created by Pro1 on 2017/7/31.
 */
@Repository
public interface LoggingEventRepository extends JpaRepository<LoggingEvent, Long>, JpaSpecificationExecutor<LoggingEvent>{

    @Transactional
    @Modifying
    @Query("delete from LoggingEvent e where e.endTime < ?1")
    void deleteByTime(long timestamp);

}
