package com.uas.erp.schedular.task.logging;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * Created by Pro1 on 2017/7/31.
 */
@Component
public class LoggingRollingPolicy {

    @Autowired
    private LoggingEventRepository loggingEventRepository;

    @Scheduled(cron = "0 0 0 * * *")
    public void clearHistory() {
        // 3天前
        loggingEventRepository.deleteByTime(System.currentTimeMillis() - 259200000);
    }

}
