package com.uas.erp.schedular.task.support;

import com.uas.erp.schedular.entity.Master;
import com.uas.erp.schedular.entity.MasterTaskConfigEntity;

/**
 * Created by Pro1 on 2017/7/31.
 */
public class MasterTaskConfig{

    private MasterTaskConfigEntity entity;
    private MasterTaskRunner runner;

    public MasterTaskConfig(TaskConfig config, Master master) {
        this.runner = new MasterTaskRunner(config, master);
        this.entity = new MasterTaskConfigEntity(config, master);
    }

    public MasterTaskRunner getRunner() {
        return runner;
    }

    public MasterTaskConfigEntity getEntity() {
        return entity;
    }

    public void setEntity(MasterTaskConfigEntity entity) {
        this.entity = entity;
    }

    @Override
    public String toString() {
        return entity.toString();
    }
}
