package com.uas.erp.schedular.util;

import com.uas.erp.schedular.entity.Master;

/**
 * Created by Pro1 on 2017/8/1.
 */
public class ContextHolder {

    private static final ThreadLocal<Master> threadLocalMaster = new ThreadLocal<Master>();

    public static void setMaster(Master master) {
        threadLocalMaster.set(master);
    }

    public static void clear() {
        threadLocalMaster.set(null);
    }

    public static Master getMaster() {
        return threadLocalMaster.get();
    }

    private static final ThreadLocal<Integer> threadLocalDataSize = new ThreadLocal<Integer>();

    public static void setDataSize(Integer size) {
        threadLocalDataSize.set(size);
    }
    public static void increaseDataSize(Integer size) {
        Integer oldSize = getDataSize();
        threadLocalDataSize.set((null == oldSize ? 0 : oldSize) + size);
    }
    /**
     * 数据量
     */
    public static Integer getDataSize() {
        return threadLocalDataSize.get();
    }

}
