package com.uas.erp.test;

import com.uas.erp.schedular.UasSchedulingApplication;
import com.uas.erp.schedular.diymall.task.DiymallApplyTask;
import com.uas.erp.schedular.entity.Master;
import com.uas.erp.schedular.mall.task.OrderTask;
import com.uas.erp.schedular.mall.task.ProductTask;
import com.uas.erp.schedular.util.ContextHolder;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.io.UnsupportedEncodingException;
import java.security.InvalidKeyException;
import java.security.NoSuchAlgorithmException;

/**
 * @author zhaoy
 * @create 2019-05-10 16:41
 */
@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.NONE, classes = UasSchedulingApplication.class)
public class TestProduct {

    @Autowired
    private ProductTask productTask;

    @Autowired
    private OrderTask orderTask;

    @Test
    public void testProduct() throws NoSuchAlgorithmException, InvalidKeyException, UnsupportedEncodingException {

        Master master = new Master();
        master.setMa_user("YHND_SZ");
        master.setMa_uu(10044412L);
        master.setMa_accesssecret("58177a621f4645398c92e93768002de7");
        master.setMa_env("prod");
        master.setMa_name("YHND_SZ");

        ContextHolder.setMaster(master);
//        productTask.getMallProductToErpProduct();
        System.out.println("success...");
    }

    @Test
    public void testOrders() throws NoSuchAlgorithmException, InvalidKeyException, UnsupportedEncodingException {

        Master master = new Master();
        master.setMa_user("YHND_SZ");
        master.setMa_uu(10044412L);
        master.setMa_accesssecret("58177a621f4645398c92e93768002de7");
        master.setMa_env("prod");
        master.setMa_name("YHND_SZ");

        ContextHolder.setMaster(master);
//        productTask.getOrdersByPage();
        System.out.println("success...");
    }

    @Test
    public void testUploadPoststatus() throws NoSuchAlgorithmException, InvalidKeyException, UnsupportedEncodingException {

        Master master = new Master();
        master.setMa_user("YHND_SZ");
        master.setMa_uu(10044412L);
        master.setMa_accesssecret("58177a621f4645398c92e93768002de7");
        master.setMa_env("prod");
        master.setMa_name("YHND_SZ");

        ContextHolder.setMaster(master);
//        orderTask.uploadPoststatus();
        System.out.println("success...上传出货单过账状态到商城...");
    }

    @Test
    public void testDownloadOrder() throws NoSuchAlgorithmException, InvalidKeyException, UnsupportedEncodingException {

        Master master = new Master();
        master.setMa_user("USOFT_MALL");
        master.setMa_uu(10042875L);
        master.setMa_accesssecret("b8d3184fde5c444f87dc55c123f1a690");
        master.setMa_env("prod");
        master.setMa_name("USOFT_MALL");

        ContextHolder.setMaster(master);
//        orderTask.downloadOrder();
        System.out.println("success...下载已过账销售订单,生成采购/销售/入库/出货单据...");
    }
}
