package com.uas.erp.schedular.agent.v1;

import org.springframework.stereotype.Service;
import org.springframework.ui.ModelMap;

/**
 * Created by Pro1 on 2017/9/4.
 */
@Service
public class SaleChangeAgent extends AbstractAgent {

    static final String caller = "SaleChange";

    /**
     * 销售变更单审核
     *
     * @param id
     * @return
     */
    public boolean audit(Integer id) {
        return postForEntity("/scm/sale/auditSaleChange.action",
                new ModelMap("caller", caller).addAttribute("id", String.valueOf(id)));
    }

}
