package com.uas.erp.schedular.b2b.domain;

import java.util.Date;

/**
 * 邀请合作伙伴注册
 * 
 * @author hejq
 * @time 创建时间：2017年4月19日
 */
public class InvitationRecord {

	/**
	 * id
	 */
	private Long id;
	
	/**
	 * 邀请企业uu
	 */
	private Long enuu;
	
	/**
	 * 用户uu
	 */
	private Long useruu;
	
	/**
	 * 最后一次邀请时间
	 */
	private Date date;

	/**
	 * 邀请的客户名称
	 */
	private String vendname;

	/**
	 * 邀请的用户名称
	 */
	private String vendusername;

	/**
	 * 邀请的用户的电话
	 */
	private String vendusertel;

	/**
	 * 邀请的用户的邮箱
	 */
	private String venduseremail;

	/**
	 * 可能出现重复邀请的情况，记录邀请次数
	 */
	private Integer count;
	/**
	 * 邀请状态
	 * @return
	 */
	private Integer active;
	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getEnuu() {
		return enuu;
	}

	public void setEnuu(Long enuu) {
		this.enuu = enuu;
	}

	public Long getUseruu() {
		return useruu;
	}

	public void setUseruu(Long useruu) {
		this.useruu = useruu;
	}

	public Date getDate() {
		return date;
	}

	public void setDate(Date date) {
		this.date = date;
	}

	public String getVendname() {
		return vendname;
	}

	public void setVendname(String vendname) {
		this.vendname = vendname;
	}

	public String getVendusertel() {
		return vendusertel;
	}

	public void setVendusertel(String vendusertel) {
		this.vendusertel = vendusertel;
	}

	public String getVenduseremail() {
		return venduseremail;
	}

	public void setVenduseremail(String venduseremail) {
		this.venduseremail = venduseremail;
	}

	public Integer getCount() {
		return count;
	}

	public void setCount(Integer count) {
		this.count = count;
	}

	public String getVendusername() {
		return vendusername;
	}

	public void setVendusername(String vendusername) {
		this.vendusername = vendusername;
	}

	public Integer getActive() {
		return active;
	}

	public void setActive(Integer active) {
		this.active = active;
	}

}
