package com.uas.erp.schedular.b2b.domain;

import java.util.Date;

/**
 * 记录验收单等查询对应采购单明细不存在的单号，序号
 *
 * Created by hejq on 2018-06-19.
 */
public class NotExistOrders {

    /**
     * id
     */
    private Long id;

    /**
     * 单据编号
     */
    private String code;

    /**
     * 企业UU
     */
    private Long enUU;

    /**
     * 明细序号,默认0
     */
    private Short detno = 0;

    /**
     * 记录日期
     */
    private Date date;

    /**
     * 处理状态
     * <pre>
     *     202: 待下载
     *     203: 已下载
     * </pre>
     */
    private Integer status;

    /**
     * 单据类型
     * <pre>
     *     saleItem: 销售订单明细
     *     makeItem: 委外订单明细
     *     saleMain: 销售订单
     *     makeMain: 委外订单
     * </pre>
     */
    private String type;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Long getEnUU() {
        return enUU;
    }

    public void setEnUU(Long enUU) {
        this.enUU = enUU;
    }

    public Short getDetno() {
        return detno;
    }

    public void setDetno(Short detno) {
        this.detno = detno;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

}
