package com.uas.erp.schedular.b2b.domain;

import java.util.Date;
import java.util.List;

/**
 * 采购方角度ERP采购验收单
 * @author suntg
 * @date 2015年4月17日10:32:24
 *
 */
public class PurchaseProdInOut extends KeyEntity {

	/**
	 * erp出入库单据的id
	 */
	private Long pi_id;

	/**
	 * erp出入库单据单号
	 */
	private String pi_inoutno;

	/**
	 * 供应商UU
	 */
	private Long pi_vendoruu;

	/**
	 * 币别
	 */
	private String pi_currency;

	/**
	 * 汇率
	 */
	private Float pi_rate;

	/**
	 * 付款方式
	 */
	private String pi_payment;

	/**
	 * 运输方式
	 */
	private String pi_transport;

	/**
	 * 备注
	 */
	private String pi_remark;

	/**
	 * 过账人
	 */
	private String pi_inoutman;

	/**
	 * 过账日期
	 */
	private Date pi_date;

	/**
	 * 送货单号
	 */
	private String pi_sendcode;

	/**
	 * 应付供应商名
	 */
	private String pi_receivename;

	/**
	 * 应付供应商编号
	 */
	private String pi_receivecode;

	/**
	 * 明细
	 */
	private List<PurchaseProdInOutDetail> details;

	/**
	 * b2bId
	 */
	private Long pi_b2b_id;
	
	public Long getPi_id() {
		return pi_id;
	}
	public void setPi_id(Long pi_id) {
		this.pi_id = pi_id;
	}
	public String getPi_inoutno() {
		return pi_inoutno;
	}
	public void setPi_inoutno(String pi_inoutno) {
		this.pi_inoutno = pi_inoutno;
	}
	public Long getPi_vendoruu() {
		return pi_vendoruu;
	}
	public void setPi_vendoruu(Long pi_vendoruu) {
		this.pi_vendoruu = pi_vendoruu;
	}
	public String getPi_currency() {
		return pi_currency;
	}
	public void setPi_currency(String pi_currency) {
		this.pi_currency = pi_currency;
	}
	public Float getPi_rate() {
		return pi_rate;
	}
	public void setPi_rate(Float pi_rate) {
		this.pi_rate = pi_rate;
	}
	public String getPi_payment() {
		return pi_payment;
	}
	public void setPi_payment(String pi_payment) {
		this.pi_payment = pi_payment;
	}
	public String getPi_transport() {
		return pi_transport;
	}
	public void setPi_transport(String pi_transport) {
		this.pi_transport = pi_transport;
	}
	public String getPi_remark() {
		return pi_remark;
	}
	public void setPi_remark(String pi_remark) {
		this.pi_remark = pi_remark;
	}
	public String getPi_inoutman() {
		return pi_inoutman;
	}
	public void setPi_inoutman(String pi_inoutman) {
		this.pi_inoutman = pi_inoutman;
	}
	public Date getPi_date() {
		return pi_date;
	}
	public void setPi_date(Date pi_date) {
		this.pi_date = pi_date;
	}
	public String getPi_sendcode() {
		return pi_sendcode;
	}
	public void setPi_sendcode(String pi_sendcode) {
		this.pi_sendcode = pi_sendcode;
	}
	public String getPi_receivename() {
		return pi_receivename;
	}
	public void setPi_receivename(String pi_receivename) {
		this.pi_receivename = pi_receivename;
	}
	public String getPi_receivecode() {
		return pi_receivecode;
	}
	public void setPi_receivecode(String pi_receivecode) {
		this.pi_receivecode = pi_receivecode;
	}
	public List<PurchaseProdInOutDetail> getDetails() {
		return details;
	}
	public void setDetails(List<PurchaseProdInOutDetail> details) {
		this.details = details;
	}

    public Long getPi_b2b_id() {
        return pi_b2b_id;
    }

    public void setPi_b2b_id(Long pi_b2b_id) {
        this.pi_b2b_id = pi_b2b_id;
    }

    @Override
	public Object getKey() {
		return this.pi_id;
	}
	
	
}
