package com.uas.erp.schedular.b2b.task;

import com.uas.erp.schedular.b2b.domain.Label;
import com.uas.erp.schedular.b2b.domain.LabelParameter;
import com.uas.erp.schedular.b2b.domain.LabelPrintSetting;
import com.uas.erp.schedular.task.support.TaskMapping;
import com.uas.erp.schedular.util.ContextHolder;
//import org.springframework.stereotype.Component;
import org.springframework.util.CollectionUtils;

import java.util.List;

/**
 * Created by Pro1 on 2017/8/2.
 */
//@Component
@Deprecated
@TaskMapping(title = "Label")
public class LabelInfoTask extends AbstractTask{

    @TaskMapping(title = "上传Label表", fixedDelay = 60000)
    public void uploadLabel() {
        List<Label> labels = jdbcTemplate.queryForBeanList("select * from ( select * from Label where la_sendstatus='待上传' and la_status ='已审核' ) where rownum<=200",
                Label.class);
        if (!CollectionUtils.isEmpty(labels)) {
            ContextHolder.setDataSize(labels.size());
            new StatusBasedHandler<Label>("Label", "la_id", "la_sendstatus", "/erp/label/label", labels).run();
        }
    }

    @TaskMapping(title = "上传LabelParameter表", fixedDelay = 60000)
    public void uploadLabelParameter() {
        List<LabelParameter> parameters = jdbcTemplate.queryForBeanList("select * from ( select * from LabelParameter where lp_sendstatus='待上传') where rownum<=200",
                LabelParameter.class);
        if (!CollectionUtils.isEmpty(parameters)) {
            ContextHolder.setDataSize(parameters.size());
            new StatusBasedHandler<LabelParameter>("LabelParameter", "lp_id", "lp_sendstatus", "/erp/label/labelparameter", parameters).run();
        }
    }

    @TaskMapping(title = "上传LabelPrintSetting表", fixedDelay = 60000)
    public void uploadLabelPrintSetting() {
        List<LabelPrintSetting> settings = jdbcTemplate.queryForBeanList("select * from ( select * from LabelPrintSetting where lps_sendstatus='待上传') where rownum<=200",
                LabelPrintSetting.class);
        if (!CollectionUtils.isEmpty(settings)) {
            ContextHolder.setDataSize(settings.size());
            new StatusBasedHandler<LabelPrintSetting>("LabelPrintSetting", "lps_id", "lps_sendstatus", "/erp/label/lpSeting", settings).run();
        }
    }

}
