package com.uas.erp.schedular.diymall.domain;

/**
 * 订单收货地址
 * @author zhaoy
 * @create 2019-05-08 16:53
 */
public class OrderDeliveryAddr {

    String code;//编号
    String orderCode;//订单编号
    String deliveryAddrCode;//收货地址编号
    String province;//省
    String city;//市
    String district;//区
    String addr;//地址
    String buyerName;//收货人姓名
    String phone;//电话

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getOrderCode() {
        return orderCode;
    }

    public void setOrderCode(String orderCode) {
        this.orderCode = orderCode;
    }

    public String getDeliveryAddrCode() {
        return deliveryAddrCode;
    }

    public void setDeliveryAddrCode(String deliveryAddrCode) {
        this.deliveryAddrCode = deliveryAddrCode;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getDistrict() {
        return district;
    }

    public void setDistrict(String district) {
        this.district = district;
    }

    public String getAddr() {
        return addr;
    }

    public void setAddr(String addr) {
        this.addr = addr;
    }

    public String getBuyerName() {
        return buyerName;
    }

    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getDeliveryAddress(){
        return this.province + this.city + this.district + this.addr + "(" + this.buyerName + " 收)" + this.phone;
    }
}
