package com.uas.erp.schedular.diymall.domain;

/**
 * 结算页报价信息（按商家分）
 * @author zhaoy
 * @create 2019-05-08 17:10
 */
public class OrderSellerOffer {

    String code;// '编号',
    String orderCode;// '订单编号',
    String offerCode;// '编号',
    String demandCode;// '需求编号',
    Integer enuu;// '卖家enuu',
    Integer uu;// '卖家uu',
    double price;// '单价',
    Integer leastDelivery;// '最短交期',
    Integer lastDelivery ;// '最长交期',
    String offerTime;//'报价时间',

    String model;//'规格',
    String brand;//'品牌',
    String spec;// '规格',
    Integer amount;// '需求数量',
    double demandPrice;// '预算单价',
    Integer demandLeastDelivery;// '预计最短交期',
    Integer demandLastDelivery;// '预计最长交期',
    String deadlineDate;// '截至日期',
    String remark; //备注

    String enName;// 报价方企业名
    String admMobile; //报价方企业管理员手机
    double money; //小计
    SellerEnterprise sellerEnterprise;// 卖家信息

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getOrderCode() {
        return orderCode;
    }

    public void setOrderCode(String orderCode) {
        this.orderCode = orderCode;
    }

    public String getOfferCode() {
        return offerCode;
    }

    public void setOfferCode(String offerCode) {
        this.offerCode = offerCode;
    }

    public String getDemandCode() {
        return demandCode;
    }

    public void setDemandCode(String demandCode) {
        this.demandCode = demandCode;
    }

    public Integer getEnuu() {
        return enuu;
    }

    public void setEnuu(Integer enuu) {
        this.enuu = enuu;
    }

    public Integer getUu() {
        return uu;
    }

    public void setUu(Integer uu) {
        this.uu = uu;
    }

    public double getPrice() {
        return price;
    }

    public void setPrice(double price) {
        this.price = price;
    }

    public Integer getLeastDelivery() {
        return leastDelivery;
    }

    public void setLeastDelivery(Integer leastDelivery) {
        this.leastDelivery = leastDelivery;
    }

    public Integer getLastDelivery() {
        return lastDelivery;
    }

    public void setLastDelivery(Integer lastDelivery) {
        this.lastDelivery = lastDelivery;
    }

    public String getOfferTime() {
        return offerTime;
    }

    public void setOfferTime(String offerTime) {
        this.offerTime = offerTime;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public String getSpec() {
        return spec;
    }

    public void setSpec(String spec) {
        this.spec = spec;
    }

    public Integer getAmount() {
        return amount;
    }

    public void setAmount(Integer amount) {
        this.amount = amount;
    }

    public double getDemandPrice() {
        return demandPrice;
    }

    public void setDemandPrice(double demandPrice) {
        this.demandPrice = demandPrice;
    }

    public Integer getDemandLeastDelivery() {
        return demandLeastDelivery;
    }

    public void setDemandLeastDelivery(Integer demandLeastDelivery) {
        this.demandLeastDelivery = demandLeastDelivery;
    }

    public Integer getDemandLastDelivery() {
        return demandLastDelivery;
    }

    public void setDemandLastDelivery(Integer demandLastDelivery) {
        this.demandLastDelivery = demandLastDelivery;
    }

    public String getDeadlineDate() {
        return deadlineDate;
    }

    public void setDeadlineDate(String deadlineDate) {
        this.deadlineDate = deadlineDate;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getEnName() {
        return enName;
    }

    public void setEnName(String enName) {
        this.enName = enName;
    }

    public String getAdmMobile() {
        return admMobile;
    }

    public void setAdmMobile(String admMobile) {
        this.admMobile = admMobile;
    }

    public double getMoney() {
        return money;
    }

    public void setMoney(double money) {
        this.money = money;
    }

    public SellerEnterprise getSellerEnterprise() {
        return sellerEnterprise;
    }

    public void setSellerEnterprise(SellerEnterprise sellerEnterprise) {
        this.sellerEnterprise = sellerEnterprise;
    }
}
