package com.uas.erp.schedular.diymall.domain;

import java.util.List;

/**
 * 结算页产品信息（按商家分）
 * @author zhaoy
 * @create 2019-05-08 17:03
 */
public class OrderSellerProduct {

    List<Product> product;
    SellerEnterprise sellerEnterprise;// 卖家信息

    class Product{
        String code; // 产品编号
        String model; // 型号
        String brand; // 品牌
        String spec; //规格
        String packing; // 包装方式
        Integer mpq; // 最小包装数量
        Integer moq; // 最小起订量
        boolean detachable; // 是否可拆卖
        Integer minDelivery; // 最小交期
        Integer maxDelivery; // 最大交期
        String unit; // 单位
        String currency; // 币别
        double unitPrice;//单价
        double price;//小计金额
        Integer amount;//购买数量

        public String getCode() {
            return code;
        }

        public void setCode(String code) {
            this.code = code;
        }

        public String getModel() {
            return model;
        }

        public void setModel(String model) {
            this.model = model;
        }

        public String getBrand() {
            return brand;
        }

        public void setBrand(String brand) {
            this.brand = brand;
        }

        public String getSpec() {
            return spec;
        }

        public void setSpec(String spec) {
            this.spec = spec;
        }

        public String getPacking() {
            return packing;
        }

        public void setPacking(String packing) {
            this.packing = packing;
        }

        public Integer getMpq() {
            return mpq;
        }

        public void setMpq(Integer mpq) {
            this.mpq = mpq;
        }

        public Integer getMoq() {
            return moq;
        }

        public void setMoq(Integer moq) {
            this.moq = moq;
        }

        public boolean isDetachable() {
            return detachable;
        }

        public void setDetachable(boolean detachable) {
            this.detachable = detachable;
        }

        public Integer getMinDelivery() {
            return minDelivery;
        }

        public void setMinDelivery(Integer minDelivery) {
            this.minDelivery = minDelivery;
        }

        public Integer getMaxDelivery() {
            return maxDelivery;
        }

        public void setMaxDelivery(Integer maxDelivery) {
            this.maxDelivery = maxDelivery;
        }

        public String getUnit() {
            return unit;
        }

        public void setUnit(String unit) {
            this.unit = unit;
        }

        public String getCurrency() {
            return currency;
        }

        public void setCurrency(String currency) {
            this.currency = currency;
        }

        public double getUnitPrice() {
            return unitPrice;
        }

        public void setUnitPrice(double unitPrice) {
            this.unitPrice = unitPrice;
        }

        public double getPrice() {
            return price;
        }

        public void setPrice(double price) {
            this.price = price;
        }

        public Integer getAmount() {
            return amount;
        }

        public void setAmount(Integer amount) {
            this.amount = amount;
        }
    }

    public List<Product> getProduct() {
        return product;
    }

    public void setProduct(List<Product> product) {
        this.product = product;
    }

    public SellerEnterprise getSellerEnterprise() {
        return sellerEnterprise;
    }

    public void setSellerEnterprise(SellerEnterprise sellerEnterprise) {
        this.sellerEnterprise = sellerEnterprise;
    }
}
