package com.uas.erp.schedular.entity;

import com.uas.erp.schedular.util.StringUtil;

/**
 * Created by Pro1 on 2017/7/26.
 */
public class Master {

    private int ma_id;
    private String ma_user;// 数据库用户名
    private String ms_pwd;// 数据库密码
    private String ma_name;// 帐套名，与bean名一致
    private String ma_function;
    private String ma_accesssecret;// 密钥
    private Short ma_enable;// 是否可使用
    private Long ma_uu;// 企业UU
    private Integer ma_b2benable;// 是否启用B2B,1启用,0未启用
    private String ma_env;// 对应商城环境

    public int getMa_id() {
        return ma_id;
    }

    public void setMa_id(int ma_id) {
        this.ma_id = ma_id;
    }

    public String getMa_user() {
        return ma_user;
    }

    public void setMa_user(String ma_user) {
        this.ma_user = ma_user;
    }

    public String getMs_pwd() {
        return ms_pwd;
    }

    public void setMs_pwd(String ms_pwd) {
        this.ms_pwd = ms_pwd;
    }

    public String getMa_name() {
        return ma_name;
    }

    public void setMa_name(String ma_name) {
        this.ma_name = ma_name;
    }

    public Long getMa_uu() {
        return ma_uu;
    }

    public void setMa_uu(Long ma_uu) {
        this.ma_uu = ma_uu;
    }

    public String getMa_function() {
        return ma_function;
    }

    public void setMa_function(String ma_function) {
        this.ma_function = ma_function;
    }

    public String getMa_accesssecret() {
        return ma_accesssecret;
    }

    public void setMa_accesssecret(String ma_accesssecret) {
        this.ma_accesssecret = ma_accesssecret;
    }

    public Short getMa_enable() {
        return ma_enable;
    }

    public void setMa_enable(Short ma_enable) {
        this.ma_enable = ma_enable;
    }

    public Integer getMa_b2benable() {
        return ma_b2benable;
    }

    public void setMa_b2benable(Integer ma_b2benable) {
        this.ma_b2benable = ma_b2benable;
    }

    public String getMa_env() {
        return ma_env;
    }

    public void setMa_env(String ma_env) {
        this.ma_env = ma_env;
    }

    public String getEnv() {
        return StringUtil.nvl(this.getMa_env(), "test");
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        Master master = (Master) o;

        if (ma_id != master.ma_id) return false;
        if (ma_user != null ? !ma_user.equals(master.ma_user) : master.ma_user != null) return false;
        if (ms_pwd != null ? !ms_pwd.equals(master.ms_pwd) : master.ms_pwd != null) return false;
        if (ma_name != null ? !ma_name.equals(master.ma_name) : master.ma_name != null) return false;
        if (ma_function != null ? !ma_function.equals(master.ma_function) : master.ma_function != null) return false;
        if (ma_accesssecret != null ? !ma_accesssecret.equals(master.ma_accesssecret) : master.ma_accesssecret != null)
            return false;
        if (ma_enable != null ? !ma_enable.equals(master.ma_enable) : master.ma_enable != null) return false;
        if (ma_uu != null ? !ma_uu.equals(master.ma_uu) : master.ma_uu != null) return false;
        if (ma_b2benable != null ? !ma_b2benable.equals(master.ma_b2benable) : master.ma_b2benable != null)
            return false;
        return ma_env != null ? ma_env.equals(master.ma_env) : master.ma_env == null;

    }

    @Override
    public int hashCode() {
        int result = ma_id;
        result = 31 * result + (ma_user != null ? ma_user.hashCode() : 0);
        result = 31 * result + (ms_pwd != null ? ms_pwd.hashCode() : 0);
        result = 31 * result + (ma_name != null ? ma_name.hashCode() : 0);
        result = 31 * result + (ma_function != null ? ma_function.hashCode() : 0);
        result = 31 * result + (ma_accesssecret != null ? ma_accesssecret.hashCode() : 0);
        result = 31 * result + (ma_enable != null ? ma_enable.hashCode() : 0);
        result = 31 * result + (ma_uu != null ? ma_uu.hashCode() : 0);
        result = 31 * result + (ma_b2benable != null ? ma_b2benable.hashCode() : 0);
        result = 31 * result + (ma_env != null ? ma_env.hashCode() : 0);
        return result;
    }
}
