package com.uas.erp.schedular.finance.domain;

import java.util.List;

/**
 * 应收账款转让实体
 * created by shicr on 2018/1/29
 **/
public class AccountApply {

    /**
     * 主键
     */
    private Long id;

    /**
     * 买方额度表id
     */
    private Long cqId;

    /**
     * 保理转让款
     */
    private Double aa_transferamount;

    /**
     * 保理首付款
     */
    private Double aa_dueamount;

    /**
     * 应收账款到期日
     */
    private String aa_maturitydate;

    /**
     * 合同总金额
     */
    private Double aa_saamount;

    /**
     * 开票总金额
     */


    /**
     * 申请日期
     */
    private String indate;

    /**
     * 审核状态
     */

    /**
     * ERP下载状态
     */
    private Integer erpstatus;
    /**
     * 还款状态
     */
    private String aa_iscloseoff;

    /**
     * 保理uu
     */
    private Long fauu;

    /**
     * 合同实体
     */
    private List<FsSale> fsSaleList;

    /**
     * 发票实体
     */
    private List<Receipt> receipts;

    /**
     * 附件
     */
    private List<AccountApplyAttach> attaches;

    public List<AccountApplyAttach> getAttaches() {
        return attaches;
    }

    public void setAttaches(List<AccountApplyAttach> attaches) {
        this.attaches = attaches;
    }

    public Integer getErpstatus() {
        return erpstatus;
    }

    public void setErpstatus(Integer erpstatus) {
        this.erpstatus = erpstatus;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Double getAa_transferamount() {
        return aa_transferamount;
    }

    public void setAa_transferamount(Double aa_transferamount) {
        this.aa_transferamount = aa_transferamount;
    }

    public Double getAa_dueamount() {
        return aa_dueamount;
    }

    public void setAa_dueamount(Double aa_dueamount) {
        this.aa_dueamount = aa_dueamount;
    }

    public String getAa_maturitydate() {
        return aa_maturitydate;
    }

    public void setAa_maturitydate(String aa_maturitydate) {
        this.aa_maturitydate = aa_maturitydate;
    }

    public Double getAa_saamount() {
        return aa_saamount;
    }

    public void setAa_saamount(Double aa_saamount) {
        this.aa_saamount = aa_saamount;
    }

    public String getIndate() {
        return indate;
    }

    public void setIndate(String indate) {
        this.indate = indate;
    }

    public String getAa_iscloseoff() {
        return aa_iscloseoff;
    }

    public void setAa_iscloseoff(String aa_iscloseoff) {
        this.aa_iscloseoff = aa_iscloseoff;
    }

    public List<FsSale> getFsSaleList() {
        return fsSaleList;
    }

    public void setFsSaleList(List<FsSale> fsSaleList) {
        this.fsSaleList = fsSaleList;
    }

    public List<Receipt> getReceipts() {
        return receipts;
    }

    public void setReceipts(List<Receipt> receipts) {
        this.receipts = receipts;
    }

    public Long getCqId() {
        return cqId;
    }

    public void setCqId(Long cqId) {
        this.cqId = cqId;
    }

    public Long getFauu() {
        return fauu;
    }

    public void setFauu(Long fauu) {
        this.fauu = fauu;
    }


}
