package com.uas.erp.schedular.publicinquiry.domain;

/**
 * 公共询价物料信息
 *
 * @author hejq
 * @date 2018-01-17 14:30
 */
public class BatchInProduct {

    /**
     * 明细id
     */
    private Long bip_id;

    /**
     * 主表id
     */
    private Long bip_biid;

    /**
     * 序号
     */
    private Short bip_detno;

    /**
     * 物料编号
     */
    private String bip_prodcode;

    /**
     * 备注
     */
    private String bip_remark;

    /**
     * 币别
     */
    private String bip_currency;

    /**
     * 联系人编号
     */
    private String bip_buyercode;

    /**
     * 联系人电话
     */
    private String bip_mobile;

    /**
     * 联系人姓名
     */
    private String bip_buyername;

    /**
     * 联系人姓名
     */
    private String em_name;

    /**
     * 需求数量/月采购数量
     */
    private Double ycgqty;

    /**
     * 物料名称
     */
    private String pr_detail;

    /**
     * 物料规格
     */
    private String pr_spec;

    /**
     * 物料品牌
     */
    private String pr_brand;

    /**
     * 原厂型号
     */
    private String pr_orispeccode;

    public Long getBip_id() {
        return bip_id;
    }

    public void setBip_id(Long bip_id) {
        this.bip_id = bip_id;
    }

    public Long getBip_biid() {
        return bip_biid;
    }

    public void setBip_biid(Long bip_biid) {
        this.bip_biid = bip_biid;
    }

    public Short getBip_detno() {
        return bip_detno;
    }

    public void setBip_detno(Short bip_detno) {
        this.bip_detno = bip_detno;
    }

    public String getBip_prodcode() {
        return bip_prodcode;
    }

    public void setBip_prodcode(String bip_prodcode) {
        this.bip_prodcode = bip_prodcode;
    }

    public String getBip_remark() {
        return bip_remark;
    }

    public void setBip_remark(String bip_remark) {
        this.bip_remark = bip_remark;
    }

    public String getBip_currency() {
        return bip_currency;
    }

    public void setBip_currency(String bip_currency) {
        this.bip_currency = bip_currency;
    }

    public String getBip_buyercode() {
        return bip_buyercode;
    }

    public void setBip_buyercode(String bip_buyercode) {
        this.bip_buyercode = bip_buyercode;
    }

    public String getBip_mobile() {
        return bip_mobile;
    }

    public void setBip_mobile(String bip_mobile) {
        this.bip_mobile = bip_mobile;
    }

    public String getBip_buyername() {
        return bip_buyername;
    }

    public void setBip_buyername(String bip_buyername) {
        this.bip_buyername = bip_buyername;
    }

    public String getEm_name() {
        return em_name;
    }

    public void setEm_name(String em_name) {
        this.em_name = em_name;
    }

    public Double getYcgqty() {
        return ycgqty;
    }

    public void setYcgqty(Double ycgqty) {
        this.ycgqty = ycgqty;
    }

    public String getPr_detail() {
        return pr_detail;
    }

    public void setPr_detail(String pr_detail) {
        this.pr_detail = pr_detail;
    }

    public String getPr_spec() {
        return pr_spec;
    }

    public void setPr_spec(String pr_spec) {
        this.pr_spec = pr_spec;
    }

    public String getPr_brand() {
        return pr_brand;
    }

    public void setPr_brand(String pr_brand) {
        this.pr_brand = pr_brand;
    }

    public String getPr_orispeccode() {
        return pr_orispeccode;
    }

    public void setPr_orispeccode(String pr_orispeccode) {
        this.pr_orispeccode = pr_orispeccode;
    }
}
