package com.uas.erp.schedular.task.logging;

/**
 * Created by Pro1 on 2017/8/24.
 */
public class LoggingStat {

    private int success;
    private int warn;
    private int error;
    private double avgUsage;
    private double uploadSize;
    private double downloadSize;
    private long startTime;
    private long endTime;

    /**
     * 总调用次数
     * @return
     */
    public int getTotal() {
        return success + warn + error;
    }

    /**
     * 成功次数
     * @return
     */
    public int getSuccess() {
        return success;
    }

    public void setSuccess(int success) {
        this.success = success;
    }

    /**
     * 警告次数
     * @return
     */
    public int getWarn() {
        return warn;
    }

    public void setWarn(int warn) {
        this.warn = warn;
    }

    /**
     * 错误次数
     * @return
     */
    public int getError() {
        return error;
    }

    public void setError(int error) {
        this.error = error;
    }

    /**
     * 平均耗时
     * @return
     */
    public double getAvgUsage() {
        return avgUsage;
    }

    public void setAvgUsage(double avgUsage) {
        this.avgUsage = avgUsage;
    }

    /**
     * 总数据量
     * @return
     */
    public double getDataSize() {
        return uploadSize + downloadSize;
    }

    public double getUploadSize() {
        return uploadSize;
    }

    public void setUploadSize(double uploadSize) {
        this.uploadSize = uploadSize;
    }

    public double getDownloadSize() {
        return downloadSize;
    }

    public void setDownloadSize(double downloadSize) {
        this.downloadSize = downloadSize;
    }

    public long getStartTime() {
        return startTime;
    }

    public void setStartTime(long startTime) {
        this.startTime = startTime;
    }

    public long getEndTime() {
        return endTime;
    }

    public void setEndTime(long endTime) {
        this.endTime = endTime;
    }
}
