package com.uas.erp.test;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import com.uas.erp.schedular.UasSchedulingApplication;
import com.uas.erp.schedular.entity.Master;
import com.uas.erp.schedular.finance.task.AbstractTask;
import com.uas.erp.schedular.finance.task.B2BInformation;
import com.uas.erp.schedular.util.ContextHolder;


/**
 * Created by Pro1 on 2020/1/13.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.NONE, classes = UasSchedulingApplication.class)
public class SdkTest extends AbstractTask {
	
	 @Autowired
	B2BInformation b2BInformation;
	 
	 
	 @Test
	 public void downOfferQuotaInfoList() throws Exception{
		 Master master = new Master();
         master.setMa_user("YITOA_BL");
        // master.setMa_uu(10050877L);
         ContextHolder.setMaster(master);
		 b2BInformation.getOfferQuotaInfoList();
	 }	

	@Test
	public void saveOfferQuotaInfoReq() throws Exception{
		Master master = new Master();
		master.setMa_user("YITOA_BL");
		ContextHolder.setMaster(master);
		b2BInformation.saveOfferQuotaInfoReq();
	}
	
	
}
